Page MenuHomePhabricator

the bubble that teaches the user about the TOC button on the Wikipedia Android app may appear on the wrong side with LTR/RTL are mixed up
Closed, ResolvedPublic1 Story Points

Description

This screenshot was taken on an Android 5.0.1 phone with Hebrew as the system language. The article is from the English Wikipedia. You can see the bubble that teaches the user about the TOC button appearing in the bottom right corner of the screen. Since the button itself is in the bottom left corner, this is wrong. The bubble's tip must always point to the button.

Event Timeline

Amire80 created this task.Aug 19 2015, 6:37 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 6:37 PM
Restricted Application added a project: I18n. · View Herald TranscriptAug 19 2015, 6:37 PM
Amire80 moved this task from Backlog to Mobile on the RTL board.Aug 30 2015, 7:16 AM
MBinder_WMF set the point value for this task to 1.May 18 2016, 7:34 PM
Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 27 2018, 7:37 AM
Dbrant closed this task as Resolved.Mar 29 2018, 9:14 PM

Assuming resolved, unless proved otherwise by a more recent repro.

Thanks. The design is different now and it works correctly in RTL.

But thanks to trying to reproduce this, I found another RTL bug: T191106 :)